<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="shop.alien.mapper.EssentialHolidayComparisonMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="shop.alien.entity.store.EssentialHolidayComparison">
        <id column="id" property="id" />
        <result column="festival_name" property="festivalName" />
        <result column="festival_date" property="festivalDate" />
        <result column="particular_year" property="particularYear" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, festival_name, festival_date, particular_year
    </sql>

</mapper>
